org.apache.maven.scm.provider.starteam.util

## Class StarteamUtil

- java.lang.Object
- - org.apache.maven.scm.provider.starteam.util.StarteamUtil

    public final class StarteamUtil
    extends Object

Version:
  $Id: $
Author:
  Dan T. Tran

### Field Summary

Fields
`static File` `DEFAULT_SETTINGS_DIRECTORY`
`protected static String` `STARTEAM_SETTINGS_FILENAME`

### Method Summary

All Methods Static Methods Concrete Methods
`static Settings` `getSettings()`
`static File` `getSettingsFile()`
`static Settings` `readSettings()`
`static void` `setSettingsDirectory(File directory)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### STARTEAM_SETTINGS_FILENAME

    protected static final String STARTEAM_SETTINGS_FILENAME

See Also:
  Constant Field Values

#### DEFAULT_SETTINGS_DIRECTORY

    public static final File DEFAULT_SETTINGS_DIRECTORY

### Method Detail

#### getSettings

    public static Settings getSettings()

#### readSettings

    public static Settings readSettings()

#### getSettingsFile

    public static File getSettingsFile()

#### setSettingsDirectory

    public static void setSettingsDirectory(File directory)